# 
# Synthesis run script generated by Vivado
# 

set_param gui.test TreeTableDev
debug::add_scope template.lib 1
set_msg_config -id {HDL 9-1061} -limit 100000
set_msg_config -id {HDL 9-1654} -limit 100000

create_project -in_memory -part xc7z020clg484-1
set_param project.compositeFile.enableAutoGeneration 0
set_param synth.vivado.isSynthRun true
set_property webtalk.parent_dir e:/vivado/test/mem_ctl/mem_ctl_v1_9_2_project/mem_ctl_v1_9_2_project.cache/wt [current_project]
set_property parent.project_path e:/vivado/test/mem_ctl/mem_ctl_v1_9_2_project/mem_ctl_v1_9_2_project.xpr [current_project]
set_property default_lib xil_defaultlib [current_project]
set_property target_language Verilog [current_project]
set_property ip_repo_paths {
  c:/Users/wahab_muh.RPHPZB1401/Documents/these/these_05_06_2016/decodeur_traces
  E:/Vivado/test/mem_ctl
  E:/Vivado/composants/ip_repo/axi_config_1.0
} [current_project]
read_vhdl -library xil_defaultlib e:/vivado/test/mem_ctl/src/mem_ctl.vhd
catch { write_hwdef -file mem_ctl.hwdef }
synth_design -top mem_ctl -part xc7z020clg484-1 -flatten_hierarchy none -resource_sharing off
write_checkpoint -noxdef mem_ctl.dcp
catch { report_utilization -file mem_ctl_utilization_synth.rpt -pb mem_ctl_utilization_synth.pb }
